# FoundationClasses
TKernel
TColStd

# TColStd_HSequenceOfExtendedString Class Reference

`#include <TColStd_HSequenceOfExtendedString.hxx>`

Inheritance diagram for TColStd_HSequenceOfExtendedString:

[legend]

## Public Member Functions

| TColStd_HSequenceOfExtendedString ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const TCollection_ExtendedString &anItem)
Standard_EXPORT void | Append (const Handle(TColStd_HSequenceOfExtendedString)&aSequence)
Standard_EXPORT void | Prepend (const TCollection_ExtendedString &anItem)
Standard_EXPORT void | Prepend (const Handle(TColStd_HSequenceOfExtendedString)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const TCollection_ExtendedString &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfExtendedString)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const TCollection_ExtendedString &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfExtendedString)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TColStd_HSequenceOfExtendedString | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const TCollection_ExtendedString &anItem)
Standard_EXPORT const TCollection_ExtendedString & | Value (const Standard_Integer anIndex) const
Standard_EXPORT TCollection_ExtendedString & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TColStd_SequenceOfExtendedString & | Sequence () const
TColStd_SequenceOfExtendedString & | ChangeSequence ()
Standard_EXPORT Handle_TColStd_HSequenceOfExtendedString | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SequenceOfExtendedString | mySequence

## Constructor & Destructor Documentation

TColStd_HSequenceOfExtendedString::TColStd_HSequenceOfExtendedString | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_HSequenceOfExtendedString::Append | ( | const Handle(TColStd_HSequenceOfExtendedString)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::Append | ( | const TCollection_ExtendedString & | anItem | ) |

TColStd_SequenceOfExtendedString& TColStd_HSequenceOfExtendedString::ChangeSequence | ( |  | ) |

Standard_EXPORT TCollection_ExtendedString& TColStd_HSequenceOfExtendedString::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::Clear | ( |  | ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TColStd_HSequenceOfExtendedString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HSequenceOfExtendedString::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfExtendedString)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const TCollection_ExtendedString & | anItem
| ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfExtendedString)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const TCollection_ExtendedString & | anItem
| ) |

Standard_Boolean TColStd_HSequenceOfExtendedString::IsEmpty | ( |  | ) | const

Standard_Integer TColStd_HSequenceOfExtendedString::Length | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfExtendedString::Prepend | ( | const Handle(TColStd_HSequenceOfExtendedString)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::Prepend | ( | const TCollection_ExtendedString & | anItem | ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfExtendedString::Reverse | ( |  | ) |

const TColStd_SequenceOfExtendedString& TColStd_HSequenceOfExtendedString::Sequence | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfExtendedString::SetValue | ( | const Standard_Integer | anIndex,
|  | const TCollection_ExtendedString & | anItem
| ) |

Standard_EXPORT Handle_TColStd_HSequenceOfExtendedString TColStd_HSequenceOfExtendedString::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfExtendedString TColStd_HSequenceOfExtendedString::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const TCollection_ExtendedString& TColStd_HSequenceOfExtendedString::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TColStd_SequenceOfExtendedString TColStd_HSequenceOfExtendedString::mySequence `[private]`

The documentation for this class was generated from the following file:

- TColStd_HSequenceOfExtendedString.hxx